using System;
using System.Collections.Generic;
using FinancialChartExplorer.Models;
using Microsoft.AspNet.Mvc;

namespace FinancialChartExplorer.Controllers
{
    public partial class HomeController : Controller
    {
        public ActionResult FibonacciTool()
        {
            var model = BoxData.GetDataFromJson();
            ViewBag.DemoSettingsModel = new ClientSettingsModel() { Settings = CreateFibonacciToolSettings() };
            return View(model);
        }

        private static IDictionary<string, object[]> CreateFibonacciToolSettings()
        {
            var settings = new Dictionary<string, object[]>
            {
                {"Uptrend", new object[]{"True","False"}},
                {"LabelPosition", new object[]{"Left","Center","Right"}},
            };

            return settings;
        }

    }
}
